#ifndef MAIN_H
#define MAIN_H

#include <cstddef>
#include <gtest/gtest.h>
#ifdef UNIQUE
#include <memory>
#endif
class myarray{
    size_t n;
#ifdef UNIQUE
    std::unique_ptr<int[]> arr;
#else
    int* arr;
#endif
public:
    myarray(size_t);
    myarray(myarray&&) noexcept;
    myarray(myarray&);
    int& operator[] (const size_t);
    void pow2();
    size_t size()const;
    friend void pow2(myarray&);
    friend void pow2(myarray*);
#ifndef UNIQUE
    ~myarray();
#endif
};

#endif // MAIN_H
